pcl::detail Namespace Reference

## Classes

struct | AccumulatorCurvature
struct | AccumulatorIntensity
struct | AccumulatorLabel
struct | AccumulatorNormal
struct | AccumulatorRGBA
struct | Accumulators
struct | AccumulatorXYZ
struct | AddPoint
struct | CopyPointHelper

struct

CopyPointHelper< PointInT, PointOutT, std::enable_if_t< boost::mpl::and_< boost::mpl::not_< std::is_same< PointInT, PointOutT > >, boost::mpl::or_< boost::mpl::and_< pcl::traits::has_field< PointInT, pcl::fields::rgb >, pcl::traits::has_field< PointOutT, pcl::fields::rgba > >, boost::mpl::and_< pcl::traits::has_field< PointInT, pcl::fields::rgba >, pcl::traits::has_field< PointOutT, pcl::fields::rgb > > > >::value > >

struct

CopyPointHelper< PointInT, PointOutT, std::enable_if_t< boost::mpl::and_< boost::mpl::not_< std::is_same< PointInT, PointOutT > >, boost::mpl::or_< boost::mpl::not_< pcl::traits::has_color< PointInT > >, boost::mpl::not_< pcl::traits::has_color< PointOutT > >, boost::mpl::and_< pcl::traits::has_field< PointInT, pcl::fields::rgb >, pcl::traits::has_field< PointOutT, pcl::fields::rgb > >, boost::mpl::and_< pcl::traits::has_field< PointInT, pcl::fields::rgba >, pcl::traits::has_field< PointOutT, pcl::fields::rgba > > > >::value > >

struct | CopyPointHelper< PointInT, PointOutT, std::enable_if_t< std::is_same< PointInT, PointOutT >::value > >
struct | EigenVector
struct | FieldAdder
struct | FieldMapper
struct | FieldMapping
struct | GetPoint
struct | IsAccumulatorCompatible
struct | Transformer
| A helper struct to apply an SO3 or SE3 transform to a 3D point. More...

## Functions

template<typename Vector , typename Matrix >
static EigenVector< Vector, typename Matrix::Scalar > | getLargest3x3Eigenvector (const Matrix scaledMatrix)
| returns the unit vector along the largest eigen value as well as the length of the largest eigenvector More...
bool | fieldOrdering (const FieldMapping &a, const FieldMapping &b)
template<typename PointT >
shared_ptr< pcl::MsgFieldMap > & | getMapping (pcl::PointCloud< PointT > &p)

## Function Documentation

## fieldOrdering()

bool pcl::detail::fieldOrdering | ( | const FieldMapping & | a,
|  | const FieldMapping & | b
| ) |  |

inline

Definition at line 116 of file conversions.h.

References pcl::detail::FieldMapping::serialized_offset.

Referenced by pcl::createMapping().

## getLargest3x3Eigenvector()

template<typename Vector , typename Matrix >

static EigenVector<Vector, typename Matrix::Scalar> pcl::detail::getLargest3x3Eigenvector | ( | const Matrix | scaledMatrix | ) |

static

returns the unit vector along the largest eigen value as well as the length of the largest eigenvector

Template Parameters

  Vector | Requested result type, needs to be explicitly provided and has to be implicitly constructible from ConstRowExpr
  Matrix | deduced input type providing similar in API as Eigen::Matrix

Definition at line 268 of file eigen.hpp.

## getMapping()

template<typename PointT >

shared_ptr< pcl::MsgFieldMap > & pcl::detail::getMapping | ( | pcl::PointCloud< PointT > & | p | ) |

Definition at line 620 of file point_cloud.h.

References pcl::PointCloud< PointT >::mapping_.